<?php

// @formatter:off
// phpcs:ignoreFile
/**
 * A helper file for your Eloquent Models
 * Copy the phpDocs from this file to the correct Model,
 * And remove them from this file, to prevent double declarations.
 *
 * @author Barry vd. Heuvel <barryvdh@gmail.com>
 */


namespace App\Models{
/**
 * 代理商
 *
 * @property int $id 代理商编号
 * @property int $user_id 用户编号
 * @property int|null $info_record_id 代理商信息记录编号
 * @property int|null $real_auth_record_id 代理商实名认证记录编号
 * @property int|null $qual_record_id 代理商资质认证记录编号
 * @property string|null $area_code 代理区域
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property \Illuminate\Support\Carbon|null $deleted_at 删除时间
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\AgentProjectCate> $cates
 * @property-read int|null $cates_count
 * @property-read \App\Models\AgentInfoRecord|null $info
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\AgentInfoRecord> $infoRecords
 * @property-read int|null $info_records_count
 * @property-read \App\Models\MemberUser|null $member
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\AgentProject> $projects
 * @property-read int|null $projects_count
 * @property-read \App\Models\AgentRealAuthRecord|null $realAuth
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\AgentRealAuthRecord> $realAuthRecords
 * @property-read int|null $real_auth_records_count
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo whereAreaCode($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo whereInfoRecordId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo whereQualRecordId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo whereRealAuthRecordId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo whereUserId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfo withoutTrashed()
 */
	class AgentInfo extends \Eloquent {}
}

namespace App\Models{
/**
 * 代理商信息认证记录
 *
 * @property int $id 代理商信息记录编号
 * @property int $agent_id 代理商编号
 * @property string $company_name 公司名称
 * @property string $company_address 公司地址
 * @property string $contact_name 联系人姓名
 * @property string $contact_mobile 联系人手机号
 * @property string $business_area 经营区域
 * @property string $business_scope 经营范围
 * @property string|null $auditor 审核人
 * @property string|null $audit_time 审核时间
 * @property string|null $audit_remark 审核回执
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property \Illuminate\Support\Carbon|null $deleted_at 删除时间
 * @property-read \App\Models\AgentInfo $agent
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord whereAgentId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord whereAuditRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord whereAuditTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord whereAuditor($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord whereBusinessArea($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord whereBusinessScope($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord whereCompanyAddress($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord whereCompanyName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord whereContactMobile($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord whereContactName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentInfoRecord withoutTrashed()
 */
	class AgentInfoRecord extends \Eloquent {}
}

namespace App\Models{
/**
 * 代理商服务项目
 *
 * @property int $id 主键
 * @property int $cate_id 代理商项目分类ID
 * @property int $project_id 项目ID
 * @property int|null $agent_id 代理商ID
 * @property string $price 项目金额
 * @property int $duration 服务时长(分钟)
 * @property int $distance 接单距离(米)
 * @property string $state 状态(enable:启用 disable:禁用)
 * @property \Illuminate\Support\Carbon|null $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property \Illuminate\Support\Carbon|null $deleted_at 删除时间
 * @property-read \App\Models\AgentProjectCate $cate
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject whereAgentId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject whereCateId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject whereDistance($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject whereDuration($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject wherePrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject whereProjectId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProject withoutTrashed()
 */
	class AgentProject extends \Eloquent {}
}

namespace App\Models{
/**
 * 代理商项目分类
 *
 * @property int $id 主键
 * @property int $agent_id 代理商ID
 * @property int $cate_id 项目分类ID
 * @property string $state 状态(enable:启用 disable:禁用)
 * @property \Illuminate\Support\Carbon|null $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property \Illuminate\Support\Carbon|null $deleted_at 删除时间
 * @property-read \App\Models\ProjectCate|null $parentCate
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\AgentProject> $projects
 * @property-read int|null $projects_count
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectCate newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectCate newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectCate onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectCate query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectCate whereAgentId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectCate whereCateId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectCate whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectCate whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectCate whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectCate whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectCate whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectCate withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectCate withoutTrashed()
 */
	class AgentProjectCate extends \Eloquent {}
}

namespace App\Models{
/**
 * 代理商项目设置
 *
 * @property int $id 服务范围编号
 * @property int|null $agent_id 代理商编号
 * @property string $min_fee 服务的起步价
 * @property string $per_km_fee 每公里的费用
 * @property int|null $min_distance 最小距离
 * @property string $state 状态
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectConfig newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectConfig newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectConfig onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectConfig query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectConfig whereAgentId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectConfig whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectConfig whereMinDistance($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectConfig whereMinFee($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectConfig wherePerKmFee($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectConfig whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectConfig withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentProjectConfig withoutTrashed()
 */
	class AgentProjectConfig extends \Eloquent {}
}

namespace App\Models{
/**
 * 代理商实名认证记录
 *
 * @property int $id 代理商实名认证记录编号
 * @property int $agent_id 代理商编号
 * @property string $real_name 法人姓名
 * @property string $id_card 法人身份证号
 * @property string $id_card_front_photo 法人身份证正面照片
 * @property string $id_card_back_photo 法人身份证反面照片
 * @property string $business_license 营业执照照片
 * @property string|null $auditor 审核人
 * @property string|null $audit_time 审核时间
 * @property string|null $audit_remark 审核回执
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property \Illuminate\Support\Carbon|null $deleted_at 删除时间
 * @property-read \App\Models\AgentInfo $agent
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord whereAgentId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord whereAuditRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord whereAuditTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord whereAuditor($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord whereBusinessLicense($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord whereIdCard($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord whereIdCardBackPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord whereIdCardFrontPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord whereRealName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|AgentRealAuthRecord withoutTrashed()
 */
	class AgentRealAuthRecord extends \Eloquent {}
}

namespace App\Models{
/**
 * 技师信息记录
 *
 * @property int $id
 * @property int $coach_id 技师编号
 * @property string|null $nickname 昵称
 * @property string|null $avatar 头像
 * @property string $gender 性别
 * @property string $mobile 服务电话
 * @property string|null $birthday 出生日期
 * @property int|null $work_years 从业年份
 * @property string|null $intention_city 意向城市
 * @property string|null $introduction 个人简介
 * @property string|null $auditor 审核人
 * @property string|null $audit_time 审核时间
 * @property string|null $audit_remark 审核回执
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\CoachUser|null $coach
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereAuditRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereAuditTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereAuditor($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereAvatar($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereBirthday($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereCoachId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereGender($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereIntentionCity($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereIntroduction($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereMobile($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereNickname($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord whereWorkYears($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachInfoRecord withoutTrashed()
 */
	class CoachInfoRecord extends \Eloquent {}
}

namespace App\Models{
/**
 * 技师定位
 *
 * @property int $id
 * @property int $coach_id 技师编号
 * @property string $type 地址类型
 * @property string $latitude 纬度
 * @property string $longitude 经度
 * @property string $province 省
 * @property string $city 市
 * @property string $district 区
 * @property string $location 定位地址
 * @property string $area_code 行政区划代码
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\CoachUser|null $coach
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation whereAreaCode($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation whereCity($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation whereCoachId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation whereDistrict($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation whereLatitude($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation whereLocation($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation whereLongitude($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation whereProvince($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachLocation withoutTrashed()
 */
	class CoachLocation extends \Eloquent {}
}

namespace App\Models{
/**
 * 技师开通服务项目
 *
 * @property int $id 主键
 * @property int $coach_id 技师ID
 * @property int $project_id 项目ID
 * @property string $discount_amount 优惠金额
 * @property string $service_gender 服务性别(all:不限 male:男 female:女)
 * @property int $service_distance 服务距离(米)
 * @property string $traffic_fee_type 收取路费(free:免费 one_way:单程 round_trip:双程)
 * @property string $traffic_fee 路费金额
 * @property string $state 状态(enable:启用 disable:禁用)
 * @property \Illuminate\Support\Carbon|null $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property \Illuminate\Support\Carbon|null $deleted_at 删除时间
 * @property-read \App\Models\Project $basicInfo
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject whereCoachId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject whereDiscountAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject whereProjectId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject whereServiceDistance($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject whereServiceGender($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject whereTrafficFee($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject whereTrafficFeeType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachProject withoutTrashed()
 */
	class CoachProject extends \Eloquent {}
}

namespace App\Models{
/**
 * 技师资质认证记录
 *
 * @property int $id
 * @property int $coach_id 技师编号
 * @property string $qual_type 资质类型
 * @property string|null $qual_no 资质证书编号
 * @property string $qual_photo 资质证书照片
 * @property string|null $valid_start 有效期开始日期
 * @property string|null $valid_end 有效期结束日期
 * @property string|null $auditor 审核人
 * @property string|null $audit_time 审核时间
 * @property string|null $audit_remark 审核回执
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\CoachUser|null $coach
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord whereAuditRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord whereAuditTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord whereAuditor($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord whereCoachId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord whereQualNo($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord whereQualPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord whereQualType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord whereValidEnd($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord whereValidStart($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachQualRecord withoutTrashed()
 */
	class CoachQualRecord extends \Eloquent {}
}

namespace App\Models{
/**
 * 技师实名认证记录
 *
 * @property int $id 实名认证编号
 * @property int $coach_id 技师编号
 * @property string $real_name 真实姓名
 * @property string $id_card 身份证号
 * @property string $id_card_front_photo 身份证正面照片
 * @property string $id_card_back_photo 身份证反面照片
 * @property string $id_card_hand_photo 手持身份证照片
 * @property string|null $auditor 审核人
 * @property string|null $audit_time 审核时间
 * @property string|null $audit_remark 审核回执
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property \Illuminate\Support\Carbon|null $deleted_at 删除时间
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord whereAuditRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord whereAuditTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord whereAuditor($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord whereCoachId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord whereIdCard($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord whereIdCardBackPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord whereIdCardFrontPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord whereIdCardHandPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord whereRealName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachRealAuthRecord withoutTrashed()
 */
	class CoachRealAuthRecord extends \Eloquent {}
}

namespace App\Models{
/**
 * 技师评分
 *
 * @property int $id
 * @property int $coach_id 技师编号
 * @property int|null $service_duration 服务时长(分钟)
 * @property int|null $order_count 订单数量
 * @property string|null $good_rate 好评率
 * @property string|null $efficiency 服务效率
 * @property string|null $punctual_rate 准时率
 * @property string|null $completion_rate 完成率
 * @property string|null $rating_score 评价得分
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore whereCoachId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore whereCompletionRate($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore whereEfficiency($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore whereGoodRate($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore whereOrderCount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore wherePunctualRate($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore whereRatingScore($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore whereServiceDuration($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachScore withoutTrashed()
 */
	class CoachScore extends \Eloquent {}
}

namespace App\Models{
/**
 * 技师
 *
 * @property int $id
 * @property int $user_id 用户编号
 * @property int|null $info_record_id 技师信息记录编号
 * @property int|null $real_auth_record_id 技师实名认证记录编号
 * @property int|null $qualification_record_id 技师资质认证记录编号
 * @property int|null $shop_id 店铺编号
 * @property string|null $level 技师等级
 * @property int|null $virtual_order 虚拟订单数
 * @property \App\Models\CoachScore|null $score 评分
 * @property string $work_status 工作状态
 * @property string $virtual_status 虚拟状态
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\OrderComment> $comments
 * @property-read int|null $comments_count
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\OrderGrabRecord> $grabRecords
 * @property-read int|null $grab_records_count
 * @property-read \App\Models\CoachInfoRecord|null $info
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\CoachInfoRecord> $infoRecords
 * @property-read int|null $info_records_count
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\CoachLocation> $locations
 * @property-read int|null $locations_count
 * @property-read \App\Models\MemberUser|null $member
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\CoachProject> $projects
 * @property-read int|null $projects_count
 * @property-read \App\Models\CoachQualRecord|null $qual
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\CoachQualRecord> $qualRecords
 * @property-read int|null $qual_records_count
 * @property-read \App\Models\CoachRealAuthRecord|null $real
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\CoachRealAuthRecord> $realAuthRecords
 * @property-read int|null $real_auth_records_count
 * @property-read \App\Models\ShopInfo|null $shop
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\ShopCoachService> $shopOpenService
 * @property-read int|null $shop_open_service_count
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser whereInfoRecordId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser whereLevel($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser whereQualificationRecordId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser whereRealAuthRecordId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser whereScore($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser whereShopId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser whereUserId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser whereVirtualOrder($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser whereVirtualStatus($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser whereWorkStatus($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|CoachUser withoutTrashed()
 */
	class CoachUser extends \Eloquent {}
}

namespace App\Models{
/**
 * 用户地址
 *
 * @property int $id 地址编号
 * @property int $user_id 用户编号
 * @property string|null $phone 联系方式
 * @property string $location 定位地址
 * @property string|null $address 详细地址
 * @property string $province 省
 * @property string $city 市
 * @property string $district 区
 * @property string $longitude 经度
 * @property string $latitude 纬度
 * @property string $area_code 行政区划代码
 * @property int $is_default 是否默认地址
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property \Illuminate\Support\Carbon|null $deleted_at 删除时间
 * @property-read \App\Models\MemberUser $member
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress whereAddress($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress whereAreaCode($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress whereCity($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress whereDistrict($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress whereIsDefault($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress whereLatitude($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress whereLocation($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress whereLongitude($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress wherePhone($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress whereProvince($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress whereUserId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberAddress withoutTrashed()
 */
	class MemberAddress extends \Eloquent {}
}

namespace App\Models{
/**
 * 用户实名认证记录
 *
 * @property int $id
 * @property int $user_id 用户编号
 * @property string $real_name 真实姓名
 * @property string $id_card 身份证号
 * @property string $id_card_front_photo 身份证正面照片
 * @property string $id_card_back_photo 身份证反面照片
 * @property string $id_card_hand_photo 手持身份证照片
 * @property string|null $auditor 审核人
 * @property string|null $audit_time 审核时间
 * @property string|null $audit_remark 审核回执
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\MemberUser|null $member
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord whereAuditRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord whereAuditTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord whereAuditor($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord whereIdCard($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord whereIdCardBackPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord whereIdCardFrontPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord whereIdCardHandPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord whereRealName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord whereUserId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberRealAuthRecord withoutTrashed()
 */
	class MemberRealAuthRecord extends \Eloquent {}
}

namespace App\Models{
/**
 * 用户社交账号
 *
 * @property int $id
 * @property int $user_id 用户编号
 * @property string $platform 社交平台
 * @property string $social_id 社交账号
 * @property string|null $nickname 昵称
 * @property string|null $avatar 头像
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\MemberUser|null $member
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberSocialAccount newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberSocialAccount newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberSocialAccount onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberSocialAccount query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberSocialAccount whereAvatar($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberSocialAccount whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberSocialAccount whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberSocialAccount whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberSocialAccount whereNickname($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberSocialAccount wherePlatform($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberSocialAccount whereSocialId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberSocialAccount whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberSocialAccount whereUserId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberSocialAccount withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberSocialAccount withoutTrashed()
 */
	class MemberSocialAccount extends \Eloquent {}
}

namespace App\Models{
/**
 * 
 *
 * @property int $id
 * @property string $mobile 手机号
 * @property string|null $password 密码
 * @property string|null $nickname 昵称
 * @property string|null $avatar 头像
 * @property string $gender 性别
 * @property string|null $register_area 注册地(行政区划代码)
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\MemberAddress|null $address
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\MemberAddress> $addresses
 * @property-read int|null $addresses_count
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\Order> $orders
 * @property-read int|null $orders_count
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \Slowlyo\OwlAdmin\Models\PersonalAccessToken> $tokens
 * @property-read int|null $tokens_count
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser whereAvatar($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser whereGender($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser whereMobile($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser whereNickname($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser wherePassword($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser whereRegisterArea($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|MemberUser withoutTrashed()
 */
	class MemberUser extends \Eloquent {}
}

namespace App\Models{
/**
 * 订单
 *
 * @property int $id 订单编号
 * @property int $user_id 用户编号
 * @property int $coach_id 技师编号
 * @property int $project_id 项目编号
 * @property int|null $channel_id 渠道编号
 * @property int|null $shop_id 店铺编号
 * @property int|null $agent_id 代理编号
 * @property int|null $customer_service_id 跟单客服编号
 * @property string $type 订单类型
 * @property string $source 订单来源
 * @property string|null $payment_type 支付类型
 * @property string $project_amount 项目金额
 * @property string|null $traffic_amount 路费金额
 * @property string $total_amount 订单金额
 * @property string|null $balance_amount 余额抵扣金额
 * @property string $pay_amount 实付金额
 * @property string|null $discount_amount 优惠卷金额
 * @property string|null $tip_amount 打赏金额
 * @property string|null $service_snapshot 项目快照
 * @property string $service_time 服务时间
 * @property int|null $distance 目的地距离(米)
 * @property string $latitude 目的地纬度
 * @property string $longitude 目的地经度
 * @property string $location 目的地定位地址
 * @property string|null $address 目的地详细地址
 * @property string $area_code 目的地行政区划代码
 * @property string|null $remark 订单备注
 * @property string $state 订单状态
 * @property int|null $address_id 用户地址ID
 * @property \Illuminate\Support\Carbon|null $created_at 创建时间
 * @property \Illuminate\Support\Carbon|null $updated_at 更新时间
 * @property \Illuminate\Support\Carbon|null $deleted_at 删除时间
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereAddress($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereAddressId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereAgentId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereAreaCode($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereBalanceAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereChannelId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereCoachId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereCustomerServiceId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereDiscountAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereDistance($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereLatitude($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereLocation($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereLongitude($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order wherePayAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order wherePaymentType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereProjectAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereProjectId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereServiceSnapshot($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereServiceTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereShopId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereSource($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereTipAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereTotalAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereTrafficAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order whereUserId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Order withoutTrashed()
 */
	class Order extends \Eloquent {}
}

namespace App\Models{
/**
 * 订单评论
 *
 * @property int $id
 * @property int $order_id 订单编号
 * @property int $user_id 用户编号
 * @property int $coach_id 技师编号
 * @property string|null $content 评论内容
 * @property int $rating 评论星级
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\CoachUser|null $coach
 * @property-read \App\Models\MemberUser|null $member
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment whereCoachId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment whereContent($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment whereOrderId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment whereRating($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment whereUserId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderComment withoutTrashed()
 */
	class OrderComment extends \Eloquent {}
}

namespace App\Models{
/**
 * 订单分销记录
 *
 * @property int $id
 * @property int $order_id 订单编号
 * @property int $object_id 对象编号
 * @property string $object_type 对象类型
 * @property string $dist_type 分销类型
 * @property string $amount 分销金额
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderDistRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderDistRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderDistRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderDistRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderDistRecord whereAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderDistRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderDistRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderDistRecord whereDistType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderDistRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderDistRecord whereObjectId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderDistRecord whereObjectType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderDistRecord whereOrderId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderDistRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderDistRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderDistRecord withoutTrashed()
 */
	class OrderDistRecord extends \Eloquent {}
}

namespace App\Models{
/**
 * 订单异常记录
 *
 * @property int $id
 * @property int $order_id 订单编号
 * @property int|null $customer_service_id 跟单客服编号
 * @property string $type 异常类型
 * @property string $reason 异常原因
 * @property string|null $remark 备注
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord whereCustomerServiceId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord whereOrderId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord whereReason($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord whereRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderExcRecord withoutTrashed()
 */
	class OrderExcRecord extends \Eloquent {}
}

namespace App\Models{
/**
 * 订单抢单记录
 *
 * @property int $id
 * @property int $coach_id 技师编号
 * @property int $order_id 订单编号
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\CoachUser|null $coach
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderGrabRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderGrabRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderGrabRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderGrabRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderGrabRecord whereCoachId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderGrabRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderGrabRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderGrabRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderGrabRecord whereOrderId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderGrabRecord whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderGrabRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderGrabRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderGrabRecord withoutTrashed()
 */
	class OrderGrabRecord extends \Eloquent {}
}

namespace App\Models{
/**
 * 订单记录
 *
 * @property int $id
 * @property int $order_id 订单编号
 * @property int $object_id 对象编号
 * @property string $object_type 对象类型
 * @property string $state 记录状态
 * @property string|null $remark 备注
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderRecord whereObjectId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderRecord whereObjectType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderRecord whereOrderId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderRecord whereRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderRecord whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|OrderRecord withoutTrashed()
 */
	class OrderRecord extends \Eloquent {}
}

namespace App\Models{
/**
 * 项目服务
 *
 * @property int $id
 * @property int $cate_id 项目分类编号
 * @property string|null $cover 项目封面
 * @property string $title 项目标题
 * @property string|null $subtitle 项目副标题
 * @property string $price 项目金额
 * @property string $original_price 项目原价
 * @property int|null $sales 虚拟销量
 * @property int $duration 服务时长
 * @property string|null $project_desc 项目介绍
 * @property string|null $service_desc 服务说明
 * @property string $type 服务类型
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\ProjectCate|null $cate
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\ShopService> $shopServices
 * @property-read int|null $shop_services_count
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project whereCateId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project whereCover($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project whereDuration($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project whereOriginalPrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project wherePrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project whereProjectDesc($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project whereSales($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project whereServiceDesc($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project whereSubtitle($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project whereTitle($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Project withoutTrashed()
 */
	class Project extends \Eloquent {}
}

namespace App\Models{
/**
 * 项目分类
 *
 * @property int $id
 * @property string $name 项目分类名称
 * @property string|null $cover 分类封面
 * @property int|null $sort 排序
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\Project> $services
 * @property-read int|null $services_count
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ProjectCate newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ProjectCate newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ProjectCate onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ProjectCate query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ProjectCate whereCover($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ProjectCate whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ProjectCate whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ProjectCate whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ProjectCate whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ProjectCate whereSort($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ProjectCate whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ProjectCate whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ProjectCate withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ProjectCate withoutTrashed()
 */
	class ProjectCate extends \Eloquent {}
}

namespace App\Models{
/**
 * 店铺认证记录
 *
 * @property int $id
 * @property int $shop_id 店铺编号
 * @property string $shop_name 店铺名称
 * @property string|null $shop_desc 店铺描述
 * @property string $shop_address 店铺地址
 * @property string $contact_phone 店铺联系电话
 * @property string $contact_name 店铺联系人
 * @property string $contact_id_card 店铺联系人身份证
 * @property string $id_card_front_photo 店铺联系人身份证正面
 * @property string $id_card_back_photo 店铺联系人身份证反面
 * @property string $business_license 店铺营业执照
 * @property string $license_front_photo 店铺营业执照正面
 * @property string $license_back_photo 店铺营业执照反面
 * @property string $storefront_photo 店铺门头照
 * @property string $storefront_front_photo 店铺门头照正面
 * @property string $storefront_back_photo 店铺门头照反面
 * @property string $longitude 店铺经营地址经度
 * @property string $latitude 店铺经营地址纬度
 * @property string $operating_area 店铺经营面积
 * @property int $operating_years 店铺经营年限
 * @property int $technician_count 店铺技师人数
 * @property string|null $business_hours 店铺营业时间
 * @property string|null $rating 评分
 * @property string|null $auditor 审核人
 * @property string|null $audit_time 审核时间
 * @property string|null $audit_remark 审核回馈
 * @property string $state 审核状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\ShopInfo|null $shop
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereAuditRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereAuditTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereAuditor($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereBusinessHours($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereBusinessLicense($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereContactIdCard($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereContactName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereContactPhone($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereIdCardBackPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereIdCardFrontPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereLatitude($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereLicenseBackPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereLicenseFrontPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereLongitude($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereOperatingArea($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereOperatingYears($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereRating($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereShopAddress($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereShopDesc($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereShopId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereShopName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereStorefrontBackPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereStorefrontFrontPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereStorefrontPhoto($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereTechnicianCount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopAuthRecord withoutTrashed()
 */
	class ShopAuthRecord extends \Eloquent {}
}

namespace App\Models{
/**
 * 店铺技师服务项目
 *
 * @property int $id
 * @property int $coach_id 技师编号
 * @property int $shop_service_id 店铺服务项目编号
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\CoachUser|null $coach
 * @property-read \App\Models\ShopService|null $shopService
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopCoachService newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopCoachService newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopCoachService onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopCoachService query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopCoachService whereCoachId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopCoachService whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopCoachService whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopCoachService whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopCoachService whereShopServiceId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopCoachService whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopCoachService whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopCoachService withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopCoachService withoutTrashed()
 */
	class ShopCoachService extends \Eloquent {}
}

namespace App\Models{
/**
 * 店铺
 *
 * @property int $id
 * @property int|null $auth_record_id 店铺认证记录编号
 * @property int|null $salesperson_id 业务员编号
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\ShopAuthRecord|null $auth
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\ShopAuthRecord> $authRecords
 * @property-read int|null $auth_records_count
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\CoachUser> $coaches
 * @property-read int|null $coaches_count
 * @property-read \App\Models\MemberUser|null $member
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\ShopService> $services
 * @property-read int|null $services_count
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopInfo newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopInfo newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopInfo onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopInfo query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopInfo whereAuthRecordId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopInfo whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopInfo whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopInfo whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopInfo whereSalespersonId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopInfo whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopInfo whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopInfo withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopInfo withoutTrashed()
 */
	class ShopInfo extends \Eloquent {}
}

namespace App\Models{
/**
 * 店铺服务
 *
 * @property int $id
 * @property int $shop_id 店铺编号
 * @property int $service_id 服务项目编号
 * @property string $name 服务项目名称
 * @property string|null $cover 服务项目封面
 * @property string $price 服务项目价格
 * @property int $duration 服务时长(分钟)
 * @property string $type 服务类型
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\ShopCoachService> $coaches
 * @property-read int|null $coaches_count
 * @property-read \App\Models\Project|null $project
 * @property-read \App\Models\ShopInfo|null $shop
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService whereCover($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService whereDuration($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService wherePrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService whereServiceId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService whereShopId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|ShopService withoutTrashed()
 */
	class ShopService extends \Eloquent {}
}

namespace App\Models{
/**
 * 系统设置
 *
 * @property int $id
 * @property string $key 配置项
 * @property string $value 配置值
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysConfig newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysConfig newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysConfig onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysConfig query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysConfig whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysConfig whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysConfig whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysConfig whereKey($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysConfig whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysConfig whereValue($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysConfig withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysConfig withoutTrashed()
 */
	class SysConfig extends \Eloquent {}
}

namespace App\Models{
/**
 * 行政区划
 *
 * @property int $id
 * @property string $cityName
 * @property int $parentId
 * @property string $shortName
 * @property int $depth
 * @property string $cityCode
 * @property string $zipCode
 * @property string $mergerName
 * @property string $longitude
 * @property string $latitude
 * @property string $pinyin
 * @property int|null $isUse
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read SysRegion|null $parentRegion
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion whereCityCode($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion whereCityName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion whereDepth($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion whereIsUse($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion whereLatitude($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion whereLongitude($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion whereMergerName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion whereParentId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion wherePinyin($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion whereShortName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion whereZipCode($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|SysRegion withoutTrashed()
 */
	class SysRegion extends \Eloquent {}
}

namespace App\Models{
/**
 * 钱包
 *
 * @property int $id
 * @property int $owner_id 所属主体编号
 * @property string $owner_type 钱包类型
 * @property string $total_balance 总余额
 * @property string $available_balance 可用余额
 * @property string $frozen_amount 冻结金额
 * @property string $total_income 累计收入
 * @property string $total_expense 累计支出
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\MemberUser|null $member
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\WalletTransRecord> $transRecords
 * @property-read int|null $trans_records_count
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\WalletWithdrawRecord> $withdrawRecords
 * @property-read int|null $withdraw_records_count
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet whereAvailableBalance($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet whereFrozenAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet whereOwnerId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet whereOwnerType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet whereTotalBalance($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet whereTotalExpense($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet whereTotalIncome($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|Wallet withoutTrashed()
 */
	class Wallet extends \Eloquent {}
}

namespace App\Models{
/**
 * 钱包支付记录
 *
 * @property int $id
 * @property int $order_id 订单编号
 * @property int $wallet_id 钱包编号
 * @property int|null $trans_record_id 交易记录编号
 * @property string $payment_no 交易单号
 * @property string $payment_method 支付方式
 * @property string $total_amount 合计支付金额
 * @property string $actual_amount 实际支付金额
 * @property string $used_wallet_balance 使用钱包余额
 * @property string $used_recharge_balance 使用充值余额
 * @property string|null $payment_time 支付时间
 * @property string|null $remark 备注
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\WalletTransRecord|null $trans
 * @property-read \App\Models\Wallet|null $wallet
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord whereActualAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord whereOrderId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord wherePaymentMethod($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord wherePaymentNo($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord wherePaymentTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord whereRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord whereTotalAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord whereTransRecordId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord whereUsedRechargeBalance($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord whereUsedWalletBalance($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord whereWalletId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletPaymentRecord withoutTrashed()
 */
	class WalletPaymentRecord extends \Eloquent {}
}

namespace App\Models{
/**
 * 钱包退款记录
 *
 * @property int $id
 * @property int $order_id 订单编号
 * @property int $wallet_id 钱包编号
 * @property int|null $trans_record_id 交易记录编号
 * @property string|null $external_no 外部交易单号
 * @property string $refund_method 退款方式
 * @property string $total_refund_amount 合计退款金额
 * @property string $actual_refund_amount 实际退款金额
 * @property string $wallet_balance_refund_amount 钱包余额退款金额
 * @property string $recharge_balance_refund_amount 充值余额退款金额
 * @property string|null $refund_time 退款时间
 * @property string|null $remark 备注
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\WalletTransRecord|null $trans
 * @property-read \App\Models\Wallet|null $wallet
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereActualRefundAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereExternalNo($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereOrderId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereRechargeBalanceRefundAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereRefundMethod($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereRefundTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereTotalRefundAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereTransRecordId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereWalletBalanceRefundAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord whereWalletId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletRefundRecord withoutTrashed()
 */
	class WalletRefundRecord extends \Eloquent {}
}

namespace App\Models{
/**
 * 钱包分账记录
 *
 * @property int $id
 * @property int $order_id 订单编号
 * @property int $rule_id 分账规则配置编号
 * @property string $split_type 分账类型(服务佣金、平台分成、邀请奖励、团队邀请奖励、推荐奖励)
 * @property string $amount 参与分账金额
 * @property string $split_ratio 分账比例
 * @property string $split_amount 分账金额
 * @property string|null $entry_time 入账时间
 * @property string|null $remark 入账备注
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord whereAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord whereEntryTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord whereOrderId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord whereRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord whereRuleId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord whereSplitAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord whereSplitRatio($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord whereSplitType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletSplitRecord withoutTrashed()
 */
	class WalletSplitRecord extends \Eloquent {}
}

namespace App\Models{
/**
 * 钱包交易记录
 *
 * @property int $id
 * @property int $wallet_id 钱包编号
 * @property int $owner_id 业务类型编号
 * @property string $owner_type 业务类型(profit:分账 recharge:充值 withdraw:提现 refund:退款 payment:支付 gift:赠送 breach:违约 compensation:补偿)
 * @property string $trans_type 交易类型(income:收入 expense:支出)
 * @property string $storage_type 存储类型(balance:余额 recharge:充值)
 * @property string $amount 交易金额
 * @property string $before_balance 交易前余额
 * @property string $after_balance 交易后余额
 * @property string $before_recharge_balance 交易前充值余额
 * @property string $after_recharge_balance 交易后充值余额
 * @property string $trans_time 交易时间
 * @property string|null $remark 备注
 * @property string $state 交易状态(processing:进行中 success:成功 fail:失败 cancel:取消)
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\WalletPaymentRecord> $paymentRecords
 * @property-read int|null $payment_records_count
 * @property-read \Illuminate\Database\Eloquent\Collection<int, \App\Models\WalletRefundRecord> $refundRecords
 * @property-read int|null $refund_records_count
 * @property-read \App\Models\Wallet|null $wallet
 * @property-read \App\Models\WalletWithdrawRecord|null $withdraw
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereAfterBalance($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereAfterRechargeBalance($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereBeforeBalance($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereBeforeRechargeBalance($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereOwnerId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereOwnerType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereStorageType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereTransTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereTransType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord whereWalletId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletTransRecord withoutTrashed()
 */
	class WalletTransRecord extends \Eloquent {}
}

namespace App\Models{
/**
 * 钱包提现记录
 *
 * @property int $id
 * @property int $wallet_id 钱包编号
 * @property string|null $external_no 外部交易单号
 * @property string $withdraw_type 提现方式
 * @property string $withdraw_account 提现账户
 * @property string $withdraw_account_name 提现账户名
 * @property string $amount 提现金额
 * @property string $fee 提现手续费
 * @property string|null $withdraw_time 提现时间
 * @property string $area_code 行政区划代码
 * @property string|null $remark 备注
 * @property string|null $auditor 审核人
 * @property string|null $audit_time 审核时间
 * @property string|null $audit_remark 审核回执
 * @property string $audit_state 审核状态
 * @property string $state 状态
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\WalletTransRecord|null $trans
 * @property-read \App\Models\Wallet|null $wallet
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereAmount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereAreaCode($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereAuditRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereAuditState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereAuditTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereAuditor($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereExternalNo($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereFee($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereRemark($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereWalletId($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereWithdrawAccount($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereWithdrawAccountName($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereWithdrawTime($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord whereWithdrawType($value)
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord withTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder<static>|WalletWithdrawRecord withoutTrashed()
 */
	class WalletWithdrawRecord extends \Eloquent {}
}

