<?php

namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use App\Services\Client\PaymentService;
use Illuminate\Http\Request;

/**
 * @group 用户端
 *
 * 支付相关的API接口
 */
class PaymentController extends Controller
{
    protected PaymentService $service;

    public function __construct(PaymentService $service)
    {
        $this->service = $service;
    }

    /**
     * 获取支付配置
     */
    public function getConfig(Request $request)
    {
        $orderId = $request->input('order_id');

        return $this->service->getPaymentConfig($orderId);
    }
}
